Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 1.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.fop.svg
Interface NativeImageHandler

All Known Implementing Classes:
  AFPGraphics2D, PDFDocumentGraphics2D, PDFGraphics2D

    public interface NativeImageHandler

native image handler

Method Summary
`void` | `addNativeImage(org.apache.xmlgraphics.image.loader.Image image, float x, float y, float width, float height)` Add a natively handled image directly to the document.

Method Detail

### addNativeImage

    void addNativeImage(org.apache.xmlgraphics.image.loader.Image image,
                        float x,
                        float y,
                        float width,
                        float height)

  Add a natively handled image directly to the document. This is used by the ImageElementBridge to draw a natively handled image (like JPEG or CCITT images) directly into the document rather than converting the image into a bitmap and increasing the size.

  Parameters:
    `image` - the image to draw
    `x` - the x position
    `y` - the y position
    `width` - the width to draw the image
    `height` - the height to draw the image

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 1.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 1999-2012 The Apache Software Foundation. All Rights Reserved.